package com.bsoft.api.mapper;

import com.bsoft.api.model.DicOrg;
import com.bsoft.api.model.SerDepartment;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface DicOrgMapper {
    int deleteByPrimaryKey(Long id);

    int insert(DicOrg record);

    DicOrg selectByPrimaryKey(Long id);

    List<DicOrg> selectAll();

    int updateByPrimaryKey(DicOrg record);

    List<DicOrg> selectByUser(@Param("userId") Long userId);

    List<SerDepartment> selectDeptByUser(@Param("userId") Long userId, @Param("orgId") Long orgId);

    List<SerDepartment> selectDeptByDisease(@Param("userId") Long userId, @Param("orgId") Long orgId,
                                            @Param("disease") String disease, @Param("date") String date);

}